firefox (nuevas versiones) en los console logs bloquea por seguridad dice mis juegos web libres

9 réponses [Dernière contribution]
noblob
Hors ligne
A rejoint: 02/08/2018

Actualmente uso firefox 91.13.0esr de debian, console logs de el firefox dicen que se bloquean por seguridad mis juegos web libres (por algo de los web workers a lo mejor innecesarios o simplemente los archivos *.js), tengo instalado algún addon (librejs, jshelter y facebook container), he descargado de gnu.org gnu-icecat 60.7.0esr, que desde el directorio (venia comprimido) es directamente ejecutable y no necesita instalación, es con el ultimo lanzamiento de icecat (versión algo antigua y no se parcheada recientemente o definitivamente abandonado) sigue funcionando. Solo uso lenguajes cliente. ¿Sabeís si mozilla ha corregido algún bug a partir de la versión 60 para arriba, que hayan deshabilitado la ejecución de archivos *.js?

https://misterwww.srht.site
Esta sería la url indice de mi sitio donde están mis juegos, hosting y git sr-ht, recomendado por Jaefra sino recuerdo mal y se lo agradezco. Los que fallan son dos juegos en los nuevos firefoxes: Revenge: the path of the good ninja, y photons2, ambos funcionan solo con teclado y para ir bien con maquinas rapidas.

https://git.sr.ht/~misterwww
Y esta la url del git.

Si alguien le hecha una ojeada y encuentra alguna incorrección sobretodo en tema licencias avisarme.

Gracias!

avrtm
Hors ligne
A rejoint: 11/22/2019

Yo de esto no entiendo mucho, así que no te puedo ayudar, pero si te puedo decir que el de coger setas y el de tron, no me funcionan porque bloquea cosas librejs (véanse las capturas adjuntas).

Captura de pantalla -2022-09-02 00-57-13.png Captura de pantalla -2022-09-02 00-58-47.png
noblob
Hors ligne
A rejoint: 02/08/2018

avrtm dijo: pero si te puedo decir que el de coger setas y el de tron, no me funcionan porque bloquea cosas librejs

¡Gracias por mirarlo avrtm!
Acávo de correjirlo.
Es que estos dos proyectos están muy en fase alpha, si os fijáis en la lista de juegos (el index.html del directorio raíz de la web que alberga todos los juegos con un directorio por juego) cada juego tiene un porcentaje estimado de lo completados que están cada uno (estimación mía).

noblob
Hors ligne
A rejoint: 02/08/2018

Acavo de comprobar que el juego photons (el outrun de sega pero a lo amateur) tiene el mismo problema que "Revenge: the path of good ninja" y "photons2", van con la versiones antiguas de firefox y derivados (con icecat 60.7.0 va) los 3 juegos usan web workers, que son algo parecido a los hilos o procesos, yo creo que algo capan los nuevos firefoxes.

Ark74

I am a member!

I am a translator!

En ligne
A rejoint: 07/15/2009

es seguro usar navegadores basados en firefox en su versión 60?, hasta donde se la última actualización de la rama 68.x fue hace 2 años, y no hablemos de la 60.x.

Tal vez querrías replantear la versión que usas conectado a internet, ya que el navegador es un vector de ataque muy explotado.

Saludos.

noblob
Hors ligne
A rejoint: 02/08/2018

ark74: es seguro usar navegadores basados en firefox en su versión 60?, hasta donde se la última actualización de la rama 68.x fue hace 2 años, y no hablemos de la 60.x.
Tal vez querrías replantear la versión que usas conectado a internet, ya que el navegador es un vector de ataque muy explotado.

Claro ark74, yo normalmente uso las versiones de los repositorios de mi GNU(siempre libre)/linux(versión sin blobs o versión libre), versión que trisquel o debian siguen parcheando y ofreciendo mediante el upgradaje los paquetes de la distro en questión, icecat 60.7.0 lo he puesto para comprobar que aun funcionaban con el.
Lo que pasa es que: Amo mis juegos, por chorras que puedan parecer, son un curro, casi 2 meses de media 9-10 horas al dia y sin descansar ni los domingos, ya veo que tendré que decidir si adaptarlos a los nuevos tiempos, respetando las medidas de seguridad que impongan las nuevas versiones de los firefox y derivados, o dejarlos y hacer algo nuevo, pero cuando programo, me obsesiono un poco, duermo peor y en definitiva no es muy sano, pero hacía tiempo que no los ponía y me he encontrado con esta la mala sorpresa (yo diría que ya no se admiten webworkers (que además ahora creo innecesarios pero no cuando lo programé) o hilos el la programación javascript), he abierto el hilo por si alguien lo sabía, ese cambio de estrategia en la seguridad de firefox, lo curioso es que con el movil y el navegador duckduckgo ultima versión descargado de f-droid siguen funcionando.
Edito:
Con el navegador falkon actualizado de debian 11 siguen funcionando...
Cuesta comprender.

avrtm
Hors ligne
A rejoint: 11/22/2019

Con la última versión de firefox (firefox normal, no el esr de los repos de debian) también funcionan.

noblob
Hors ligne
A rejoint: 02/08/2018

avrtm: Con la última versión de firefox (firefox normal, no el esr de los repos de debian) también funcionan.

¡Ostras!
Entonces es el firefox-esr del repo de debian 11 que restringe, ¡que alegría me has dado avrtm! Te agradezco mucho el comentario.

noblob
Hors ligne
A rejoint: 02/08/2018

https://www.softzone.es/programas-top/firefox/firefox-vs-firefox-esr/

[softzone.es inicio párrafo]

Diferencias con la versión normal

A grandes rasgos, la misma versión normal y ESR suelen traer las mismas características. Por ejemplo, Firefox 78 y Firefox ESR 78 son prácticamente iguales. Eso sí, la versión ESR suele traer algunas características deshabilitadas por defecto (aunque las podemos habilitar si las necesitamos o las queremos usar) al no ser consideradas ni esenciales ni suficientemente estables, como es el caso de WebRender o la MITM Detection.

[softzone.es fin párrafo]

noblob
Hors ligne
A rejoint: 02/08/2018

He descargado la última versión "normal" o "no esr" de mozilla.org para GNU/linux-libre 64 bits (la que no se instala y se puede ejecutar directamente), y lo he comprbado por mi mismo.
¡funcionan los tres juegos que usan web workers!
"photons", "revenge: the path of de good ninja" y "photons2"

¡Solucionado!